package capitulo04.bloque10;


public class Ejercicio05 {
    public static void main(String[] args) {
        char[][] matriz = new char[10][20];

        for (int i = 0; i < matriz.length; i++) {
            for (int j = 0; j < matriz[i].length; j++) {
                matriz[i][j] = (char) (48 + Math.round(Math.random()));
            }
        }

        for (int i = 0; i < matriz.length; i++) {
            matriz[i][0] = '*';
            matriz[i][matriz[i].length - 1] = '*';
        }
        for (int j = 0; j < matriz[0].length; j++) {
            matriz[0][j] = '*';
            matriz[matriz.length - 1][j] = '*';
        }

        for (int i = 0; i < matriz.length; i++) {
            for (int j = 0; j < matriz[i].length; j++) {
                System.out.print(matriz[i][j]);
            }
            System.out.println();
        }
    }
}